Package wx :: Class ClipboardTextEvent

[frames | no frames]

## Type ClipboardTextEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
                        ClipboardTextEvent

A Clipboard Text event is sent when a window intercepts a text copy/cut/paste message, i.e. the user has cut/copied/pasted data from/into a text control via ctrl-C/X/V, ctrl/shift-del/insert, a popup menu command, etc. NOTE : under windows these events are NOT generated automatically for a Rich Edit text control.

Method Summary
ClipboardTextEvent | ``__init__`(self, type, winid)` A Clipboard Text event is sent when a window intercepts a text copy/cut/paste message, i.e.

Property Summary
| `thisown`: The membership flag

Method Details

### __init__(self, type=wxEVT_NULL, winid=0)
(Constructor)

A Clipboard Text event is sent when a window intercepts a text copy/cut/paste message, i.e. the user has cut/copied/pasted data from/into a text control via ctrl-C/X/V, ctrl/shift-del/insert, a popup menu command, etc. NOTE : under windows these events are NOT generated automatically for a Rich Edit text control.

  Parameters:
    `type`
    (type=EventType)

    `winid`
    (type=int)

  Returns:
    ClipboardTextEvent
  Overrides:
    `wx.CommandEvent.__init__`

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:19 2007 | http://epydoc.sf.net